Package org.apache.lucene.queries.function

# Class FunctionValues.ValueFiller

java.lang.Object
org.apache.lucene.queries.function.FunctionValues.ValueFiller

Enclosing class:
  `FunctionValues`

public abstract static class FunctionValues.ValueFiller extends Object
Abstraction of the logic required to fill the value of a specified doc into a reusable `MutableValue`. Implementations of `FunctionValues` are encouraged to define their own implementations of ValueFiller if their value is not a float.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueFiller()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `fillValue(int doc)`
  MutableValue will be reused across calls.
  `abstract MutableValue`
  `getValue()`
  MutableValue will be reused across calls

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueFiller

    public ValueFiller()

- ## Method Details

  - ### getValue

    public abstract MutableValue getValue()
    MutableValue will be reused across calls

  - ### fillValue

    public abstract void fillValue(int doc) throws IOException
    MutableValue will be reused across calls. Returns true if the value exists.
    Throws:
      `IOException`